From: <a href="/blend/av.cgi?id=141">wistful</a><BR>
Date: 13 October 2004<P>

BK ~ It's funny, because this same friend thinks I'm TOO accepting of other people's quirks and faults... I left Cinderella behind long ago (when I got married in 1988), but I do still insist on being attracted to the guy on some level... :-p  Anyway, just was interested in people's perspectives; I still trust my own judgement more than my friend's!  :-)
<HR>
From: <a href="/blend/av.cgi?id=141">Wistful</a><BR>
Date: 13 October 2004<P>

Aparajita ~ Another friend of mine is very into astrology, and she told me that as we age, we get more like our rising sign.  Being *almost* 38, my rising sign is Sagittarius.  I looked THAT one up, and it also sounds like me.  All of that said, I could probably read any horoscope and find some aspects of myself in it...
<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 13 October 2004<P>

i think men/boys girls/women everyone.  is defined by the ability to accept responsibility. 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 13 October 2004<P>

Astrology can really be annoying sometimes ha (not really) OK so you have your Sun Sign, which is your individuality,(Your character, power and authority) your rising sign is your personality (how you express yourself) and then there's the moon which is your domestic and maternal instincts. A womans emotions are more likely her moon where as a mans are the Sun. Makes us quite different, and that a woman leads with her heart (tenderheartedness) and not her head. Just depends on luck of the wheel of fortune ( Sun Moon and or stars and planets that you were born under.) <BR>
<BR>
Wistful; Women are somewhat to blame for continually putting up with the grief that is handed to them. But then they sometimes have children to consider instead of themselves. We've been first the slaves and then givers continuously througout time. That we have only had the vote since 1920 should tell you something. That if we don't fight for our rights to self determination it will be taken away from us. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 13 October 2004<P>

thanks, B.K....things are pretty bleak right now. It is hard for me to be positive and life-affirming. Luckily, I have a Leo boyfriend who has a very good attitude and keeps me laughing. I have a good group of friends, something I have never had until now. So things could be a lot worse.
<HR>